summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoseph Lansdowne2016-09-04 12:46:23 +0100
committerJoseph Lansdowne2016-09-04 12:46:23 +0100
commit090060d5aed8d31bc11570b28362fe87f5471fba (patch)
tree24823df0b96d768281f73b2f3d47a104c5c15808
downloadaur-090060d5aed8d31bc11570b28362fe87f5471fba.tar.gz
1.0+h20141222
-rw-r--r--.SRCINFO29
-rw-r--r--PKGBUILD64
-rw-r--r--dustforce-hib-dustmod.desktop11
-rw-r--r--dustforce-hib-dustmod.install17
4 files changed, 121 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e3a8c9abe70
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,29 @@
+pkgbase = dustforce-hib-dustmod
+ pkgdesc = A fast-paced 2D action platformer (Humble Bundle version, with Dustmod)
+ pkgver = 1.0+h20141222
+ pkgrel = 1
+ url = https://dustkidblog.wordpress.com/2016/03/09/dustmod/
+ install = dustforce-hib-dustmod.install
+ arch = i686
+ arch = x86_64
+ license = custom:commercial
+ depends = mesa
+ depends = libgl
+ depends = sdl2
+ depends = libxdamage
+ depends = freealut
+ depends = libidn
+ depends = libvorbis
+ depends = libxft
+ depends = xdg-utils
+ source = hib://Dustforce-Linux-2014-12-22.sh
+ source = hib://dustforce_dx_07012015.zip
+ source = http://dustkid.com/dmcontent/scripts/main2_drmfree
+ source = dustforce-hib-dustmod.desktop
+ md5sums = e2fa7efd5b9ec64fc453f32480f63ad4
+ md5sums = fed1b6d82bdbea66d242eaaaf7d3a2f2
+ md5sums = 67f78300d0451755ba897ef3fdec9ac0
+ md5sums = cc98a6127bc6d6cbdcfced14c69327cf
+
+pkgname = dustforce-hib-dustmod
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..60a909c0677
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,64 @@
+# Maintainer: Joseph Lansdowne <J49137@gmail.com>
+# Forked from dustforce-hib
+# Commit: https://aur.archlinux.org/cgit/aur.git/commit/?h=dustforce-hib&id=652033563defbd0b002b57a14ab0b4070714e9a4
+# Author: Sam S. <smls75@gmail.com>
+
+pkgname=dustforce-hib-dustmod
+pkgver=1.0+h20141222
+_hibver=2014-12-22
+_hibver_windows=07012015
+pkgrel=1
+pkgdesc='A fast-paced 2D action platformer (Humble Bundle version, with Dustmod)'
+url='https://dustkidblog.wordpress.com/2016/03/09/dustmod/'
+arch=('i686' 'x86_64')
+license=('custom:commercial')
+depends=('mesa' 'libgl' 'sdl2' 'libxdamage' 'freealut' 'libidn' 'libvorbis'
+ 'libxft' 'xdg-utils')
+install=dustforce-hib-dustmod.install
+PKGEXT='.pkg.tar'
+DLAGENTS+=('hib::/usr/bin/echo "Could not find %u. Manually download it to \"$(pwd)\", or set up a hib:// DLAGENT in /etc/makepkg.conf."; exit 1')
+
+_installer="Dustforce-Linux-${_hibver}.sh"
+_installer_windows="dustforce_dx_${_hibver_windows}.zip"
+source=("hib://${_installer}"
+ "hib://${_installer_windows}"
+ 'http://dustkid.com/dmcontent/scripts/main2_drmfree'
+ 'dustforce-hib-dustmod.desktop')
+md5sums=('e2fa7efd5b9ec64fc453f32480f63ad4'
+ 'fed1b6d82bdbea66d242eaaaf7d3a2f2'
+ '67f78300d0451755ba897ef3fdec9ac0'
+ 'cc98a6127bc6d6cbdcfced14c69327cf')
+
+[[ $CARCH == "i686" ]] && _arch='x86' || _arch='x86_64'
+
+package() {
+ cd "$srcdir"
+ _installdir=/opt/dustforce-dustmod; _target="$pkgdir"/"$_installdir"
+
+ # Install game files
+ mkdir -p "$pkgdir"/"$_installdir"
+ cp -TRl data/noarch "$pkgdir"/"$_installdir"
+ cp -TRl data/"$_arch" "$pkgdir"/"$_installdir"
+
+ # Include missing music track from Windows version
+ ln {"Dustforce DX","$pkgdir"/"$_installdir"}/"content/audio/music/Sun Bleach.ogg"
+
+ # Install Dustmod
+ cp "$srcdir"/main2_drmfree "$pkgdir"/"$_installdir"/content/scripts/main2
+
+ # Fix permissions
+ find "$pkgdir" -type d -exec chmod 755 "{}" +
+ find "$pkgdir" -type f -exec chmod 644 "{}" +
+ chmod 755 "$_target"/Dustforce.bin."$_arch"
+
+ # Install icon & desktop entry
+ install -Dm644 data/noarch/Dustforce.png \
+ "$pkgdir"/usr/share/pixmaps/dustforce-dustmod.png
+ install -Dm644 "$pkgname".desktop \
+ "$pkgdir"/usr/share/applications/"$pkgname".desktop
+
+ # Install launcher symlink
+ install -d "$pkgdir"/usr/bin
+ ln -s "$_installdir"/Dustforce.bin."$_arch" \
+ "$pkgdir"/usr/bin/dustforce-dustmod
+}
diff --git a/dustforce-hib-dustmod.desktop b/dustforce-hib-dustmod.desktop
new file mode 100644
index 00000000000..03fb1c140f0
--- /dev/null
+++ b/dustforce-hib-dustmod.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Categories=Game;
+Name=Dustforce DX (Dustmod)
+Comment=Hitbox Team
+GenericName=2D Action Platformer
+Icon=dustforce-dustmod
+Exec=dustforce-dustmod
+Terminal=false
+StartupNotify=false
diff --git a/dustforce-hib-dustmod.install b/dustforce-hib-dustmod.install
new file mode 100644
index 00000000000..4653def9116
--- /dev/null
+++ b/dustforce-hib-dustmod.install
@@ -0,0 +1,17 @@
+# make the program files writable by the 'dustmod' group to allow the dustmod
+# auto-updater to work
+
+post_install () {
+ groupadd -f dustmod
+ chgrp -R dustmod /opt/dustforce-dustmod
+ chmod -R g+w /opt/dustforce-dustmod
+
+ echo "To allow the dustmod auto-updater to work," \
+ "add your user to the 'dustmod' group."
+}
+
+post_remove () {
+ groupdel dustmod
+ # remove any files created by the auto-updater
+ rm -rf /opt/dustforce-dustmod
+}